Skip to main content
`Ctrl`+`K`

# PCGASMSetUseDMSubdomains

Indicates whether to use `DMCreateDomainDecomposition()` to define the subdomains, whenever possible for `PCGASM`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGASMSetUseDMSubdomains(PC pc, PetscBool flg)

Logically Collective

## Input Parameters

- pc - the preconditioner

- flg - boolean indicating whether to use subdomains defined by the `DM`

## Options Database Key

- -pc_gasm_dm_subdomains - configure subdomains

- -pc_gasm_overlap - set overlap

- -pc_gasm_total_subdomains - set number of subdomains

## Note

`PCGASMSetSubdomains()`, `PCGASMSetTotalSubdomains()` or `PCGASMSetOverlap()` take precedence over `PCGASMSetUseDMSubdomains()`, so setting `PCGASMSetSubdomains()` with nontrivial subdomain ISs or any of `PCGASMSetTotalSubdomains()` and `PCGASMSetOverlap()` automatically turns the latter off.

## See Also

KSP: Linear System Solvers, `PCGASM`, `PCGASMGetUseDMSubdomains()`, `PCGASMSetSubdomains()`, `PCGASMSetOverlap()`, `PCGASMCreateSubdomains2D()`

## Level

intermediate

## Location

src/ksp/pc/impls/gasm/gasm.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages